### *** This interface provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.information.metadata

# Interface PermissionExplainedInfoInterface

All Superinterfaces:
  `PermissionInfoInterface`, `Remote`

All Known Implementing Classes:
  `PermissionInfo`

@SASScope("ALL") @BinaryCompatibilityOnly public interface PermissionExplainedInfoInterface extends PermissionInfoInterface, Remote
Interface methods for explaining permission source info

An PermissionExplainedInfo instance represents ...

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.sas.services.information.metadata.PermissionInfoInterface

  `PermissionInfoInterface.PermissionSource, PermissionInfoInterface.PermissionType`

- ## Field Summary

  ### Fields inherited from interface com.sas.services.information.metadata.PermissionInfoInterface

  `PERMISSION_ADMINISTER, PERMISSION_ALTERTABLE, PERMISSION_CHECKINMETADATA, PERMISSION_CREATE, PERMISSION_CREATETABLE, PERMISSION_DELETE, PERMISSION_DROPTABLE, PERMISSION_EXECUTE, PERMISSION_INSERT, PERMISSION_MANAGECREDENTIALSMETADATA, PERMISSION_MANAGEMEMBERMETADATA, PERMISSION_READ, PERMISSION_READMETADATA, PERMISSION_REFERENCES, PERMISSION_SELECT, PERMISSION_UPDATE, PERMISSION_WRITE, PERMISSION_WRITEMEMBERMETADATA, PERMISSION_WRITEMETADATA`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<IndirectPermissionInfoInterface>`
  `getIndirectPermissionInfo()`
  Returns one or more IndirectAuthorizationInfoInterface instances representing UserGroup membership(s), Permissions coming from an direct ACT on the object or via an Inheritance Parent, etc.

  ### Methods inherited from interface com.sas.services.information.metadata.PermissionInfoInterface

  `getPermission, getPermissionCondition, getPermissionSource, getPermissionType, setPermission, setPermissionCondition, setPermissionType`

- ## Method Details

  - ### getIndirectPermissionInfo

    List<IndirectPermissionInfoInterface> getIndirectPermissionInfo() throws ServiceException, RemoteException
    Returns one or more IndirectAuthorizationInfoInterface instances representing UserGroup membership(s), Permissions coming from an direct ACT on the object or via an Inheritance Parent, etc.
    Returns:
    Throws:
      `ServiceException`
      `RemoteException`